/***************************************************************************
 $RCSfile: wcb_p.h,v $
                             -------------------
    cvs         : $Id: wcb_p.h,v 1.1.1.1 2005/02/23 19:03:08 aquamaniac Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/

#ifndef AG_WCB_P_H
#define AG_WCB_P_H

#include "wcb_l.h"


typedef struct AG_WAITCALLBACK AG_WAITCALLBACK;
struct AG_WAITCALLBACK {
  AB_PROVIDER *provider;
  AB_BANKING *banking;
  GWEN_TYPE_UINT64 lastProgress;
};
void AG_WaitCallback_FreeData(void *bp, void *p);


GWEN_WAITCALLBACK_RESULT AG_WaitCallback_CheckAbort(GWEN_WAITCALLBACK *ctx,
                                                    unsigned int level);
GWEN_WAITCALLBACK *AG_WaitCallback_Instantiate(GWEN_WAITCALLBACK *ctx);
void AG_WaitCallback_Log(GWEN_WAITCALLBACK *ctx,
                         unsigned int level,
                         unsigned int loglevel,
                         const char *s);







#endif /* AG_WCB_P_H */








